﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraultraGrid1DefaultFilterValueDemo
{
    public partial class Form1 : Form
    {

        Random r = new Random();
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.BeforeCustomRowFilterDialog += UltraGrid1_BeforeCustomRowFilterDialog; ;
            ultraGrid1.Dock = DockStyle.Fill;
            

            DataTable table = new DataTable();

            for (int i = 0; i < 5; i++)
            {
                DataColumn col = new DataColumn("Column" + i.ToString(), typeof(int));
                table.Columns.Add(col);
            }

            for (int i = 0; i < 50; i++)
            {
                DataRow row = table.NewRow();
                for (int j = 0; j < 5; j++)
                {
                    row[j] = r.Next(1000);
                }

                table.Rows.Add(row);
            }

            ultraGrid1.DataSource = table;
            ultraGrid1.DataBind();

            ultraGrid1.DisplayLayout.Override.FilterOperatorDefaultValue = FilterOperatorDefaultValue.Equals;
            ultraGrid1.DisplayLayout.Override.FilterUIType = FilterUIType.FilterRow;
            ultraGrid1.DisplayLayout.AutoFitStyle = AutoFitStyle.ResizeAllColumns;
        }

        private void UltraGrid1_BeforeCustomRowFilterDialog(object sender, Infragistics.Win.UltraWinGrid.BeforeCustomRowFilterDialogEventArgs e)
        {
            UltraGrid grid = e.CustomRowFiltersDialog.Grid;

            UltraGridCell cell1 = grid.Rows[0].Cells[0];
            UltraGridCell cell2 = grid.Rows[0].Cells[1];            

            cell1.Value = ((ValueList)cell1.ValueListResolved).ValueListItems[0];
            cell2.Value = "(Blanks)";
        }       
    }
}
